﻿-- Locale
local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AL = AceLocale:NewLocale("RareScanner", "enUS", true, true);

if AL then
	-- UI strings
	AL["CHECK_MAP"] = "Check your map!";
	AL["UNKNOWN_TARGET"] = "Unknown target";
	AL["JUST_SPAWNED"] = " just showed up";
	AL["NOT_TARGETEABLE"] = "Not targeteable";
	AL["CLICK_TARGET"] = "Click to target NPC";
	AL["ALARM_MESSAGE"] = "A rare NPC just showed up, check your map!";
	
	-- UI config panel
	AL["GENERAL_OPTIONS"] = "General options";
	AL["ENABLE_SCAN_RARES"] = "Toggle searching rare NPCs";
	AL["ENABLE_SCAN_RARES_DESC"] = "When this is activated you will be warned visually and with a sound everytime a rare NPC shows up in your minimap";
	AL["ENABLE_SCAN_CONTAINERS"] = "Toggle searching treasures or chests";
	AL["ENABLE_SCAN_CONTAINERS_DESC"] = "When this is activated you will be warned visually and with a sound everytime a treasure or chest shows up in your minimap";
	AL["ENABLE_SCAN_EVENTS"] = "Toggle searching events";
	AL["ENABLE_SCAN_EVENTS_DESC"] = "When this is activated you will be warned visually and with a sound everytime an event shows up in your minimap";
	AL["SOUND"] = "Sound";
	AL["SOUND_OPTIONS"] = "Sound options";
	AL["ALARM_SOUND"] = "Warning sound";
	AL["ALARM_SOUND_DESC"] = "Sound played when a rare NPC, treasure/chest or event shows up in your minimap";

	-- Rares
	AL["Aeonaxx"] = 50062; --Aeonaxx
	AL["Aetha"] = 58778; --Aetha
	AL["Aethis"] = 50750; --Aethis
	AL["Ahone the Wanderer"] = 50817; --Ahone the Wanderer
	AL["Ai-Li Skymirror"] = 50821; --Ai-Li Skymirror
	AL["Ai-Ran the Shifting Cloud"] = 50822; --Ai-Ran the Shifting Cloud
	AL["Al'tabim the All-Seeing"] = 70000; --Al'tabim the All-Seeing
	AL["Ankha"] = 54318; --Ankha
	AL["Anthriss"] = 54338; --Anthriss
	AL["Archiereus of Flame"] = 73666; --Archiereus of Flame
	AL["Archritualist Kelada"] = 70243; --Archritualist Kelada
	AL["Arness the Scale"] = 50787; --Arness the Scale
	AL["Backbreaker Uru"] = 70001; --Backbreaker Uru
	AL["Bai-Jin the Butcher"] = 58949; --Bai-Jin the Butcher
	AL["Ban'thalos"] = 54320; --Ban'thalos
	AL["Baolai the Immolator"] = 63695; --Baolai the Immolator
	AL["Blackhoof"] = 51059; --Blackhoof
	AL["Bloodtip"] = 58474; --Bloodtip
	AL["Bonobos"] = 50828; --Bonobos
	AL["Borginn Darkfist"] = 50341; --Borginn Darkfist
	AL["Bufo"] = 72775; --Bufo
	AL["Champion of the Black Flame"] = 73171; --Champion of the Black Flame
	AL["Chelon"] = 72045; --Chelon
	AL["Cinderfall"] = 73175; --Cinderfall
	AL["Cournith Waterstrider"] = 50768; --Cournith Waterstrider
	AL["Cracklefang"] = 58768; --Cracklefang
	AL["Cranegnasher"] = 72049; --Cranegnasher
	AL["Dak the Breaker"] = 50334; --Dak the Breaker
	AL["Dalan Nightbreaker"] = 68318; --Dalan Nightbreaker
	AL["Deth'tilac"] = 54322; --Deth'tilac
	AL["Disha Fearwarden"] = 68319; --Disha Fearwarden
	AL["Doctor Theolen Krastinov"] = 59369; --Doctor Theolen Krastinov
	AL["Dread Ship Vazuvius"] = 73281; --Dread Ship Vazuvius
	AL["Emerald Gander"] = 73158; --Emerald Gander
	AL["Eshelon"] = 50772; --Eshelon
	AL["Evermaw"] = 73279; --Evermaw
	AL["Ferdinand"] = 51078; --Ferdinand
	AL["Flesh'rok the Diseased"] = 70429; --Flesh'rok the Diseased
	AL["Flintlord Gairan"] = 73172; --Flintlord Gairan
	AL["Focused Eye"] = 70249; --Focused Eye
	AL["Gaarn the Toxic"] = 50340; --Gaarn the Toxic
	AL["Gaohun the Soul-Severer"] = 62881; --Gaohun the Soul-Severer
	AL["Gar'lok"] = 50739; --Gar'lok
	AL["Garnia"] = 73282; --Garnia
	AL["General Temuja"] = 63101; --General Temuja
	AL["Ghostcrawler"] = 50051; --Ghostcrawler
	AL["Go-Kan"] = 50331; --Go-Kan
	AL["Gochao the Ironfist"] = 62880; --Gochao the Ironfist
	AL["God-Hulk Ramuk"] = 69999; --God-Hulk Ramuk
	AL["Goda"] = 69998; --Goda
	AL["Golganarr"] = 72970; --Golganarr
	AL["Great Turtle Furyshell"] = 73161; --Great Turtle Furyshell
	AL["Gu'chi the Swarmbringer"] = 72909; --Gu'chi the Swarmbringer
	AL["Havak"] = 50354; --Havak
	AL["Haywire Sunreaver Construct"] = 50358; --Haywire Sunreaver Construct
	AL["Huo-Shuang"] = 63691; --Huo-Shuang
	AL["Huolon"] = 73167; --Huolon
	AL["Ik-Ik the Nimble"] = 50836; --Ik-Ik the Nimble
	AL["Imperial Python"] = 73163; --Imperial Python
	AL["Ironfur Steelhorn"] = 73160; --Ironfur Steelhorn
	AL["Jadefang"] = 49822; --Jadefang
	AL["Jakur of Ordon"] = 73169; --Jakur of Ordon
	AL["Jonn-Dar"] = 50351; --Jonn-Dar
	AL["Kah'tir"] = 50355; --Kah'tir
	AL["Kal'tik the Blight"] = 50749; --Kal'tik the Blight
	AL["Kang the Soul Thief"] = 50349; --Kang the Soul Thief
	AL["Kar Warmaker"] = 68321; --Kar Warmaker
	AL["Karkanos"] = 72193; --Karkanos
	AL["Karkin"] = 50959; --Karkin
	AL["Karoma"] = 50138; --Karoma
	AL["Karr the Darkener"] = 50347; --Karr the Darkener
	AL["Kirix"] = 54323; --Kirix
	AL["Kor'nas Nightsavage"] = 50338; --Kor'nas Nightsavage
	AL["Korda Torros"] = 50332; --Korda Torros
	AL["Krakkanon"] = 70323; --Krakkanon
	AL["Krax'ik"] = 50363; --Krax'ik
	AL["Kri'chon"] = 63978; --Kri'chon
	AL["Krol the Blade"] = 50356; --Krol the Blade
	AL["Ku'lai the Skyclaw"] = 69996; --Ku'lai the Skyclaw
	AL["Leafmender"] = 73277; --Leafmender
	AL["Lith'ik the Stalker"] = 50734; --Lith'ik the Stalker
	AL["Lon the Bull"] = 50333; --Lon the Bull
	AL["Lu-Ban"] = 70002; --Lu-Ban
	AL["Magria"] = 54319; --Magria
	AL["Major Nanners"] = 50840; --Major Nanners
	AL["Mavis Harms"] = 68317; --Mavis Harms
	AL["Mister Ferocious"] = 50823; --Mister Ferocious
	AL["Moldo One-Eye"] = 50806; --Moldo One-Eye
	AL["Molthor"] = 70003; --Molthor
	AL["Monara"] = 70440; --Monara
	AL["Monstrous Spineclaw"] = 73166; --Monstrous Spineclaw
	AL["Morgrinn Crackfang"] = 50350; --Morgrinn Crackfang
	AL["Muerta"] = 68322; --Muerta
	AL["Mumta"] = 69664; --Mumta
	AL["Nal'lak the Ripper"] = 50364; --Nal'lak the Ripper
	AL["Nalash Verdantis"] = 50776; --Nalash Verdantis
	AL["Nasra Spothide"] = 50811; --Nasra Spothide
	AL["Nessos the Oracle"] = 50789; --Nessos the Oracle
	AL["No'ku Stormsayer"] = 70276; --No'ku Stormsayer
	AL["Norlaxx"] = 50344; --Norlaxx
	AL["Omnis Grinlok"] = 50805; --Omnis Grinlok
	AL["Overlord Sunderfury"] = 50085; --Overlord Sunderfury
	AL["Prince Lakma"] = 54533; --Prince Lakma
	AL["Progenitus"] = 69997; --Progenitus
	AL["Qu'nas"] = 50352; --Qu'nas
	AL["Quid"] = 58771; --Quid
	AL["Ra'sha"] = 70530; --Ra'sha
	AL["Rattleskew"] = 72048; --Rattleskew
	AL["Rock Moss"] = 73157; --Rock Moss
	AL["Rocky Horror"] = 70430; --Rocky Horror
	AL["Ruun Ghostpaw"] = 50816; --Ruun Ghostpaw
	AL["Sahn Tidehunter"] = 50780; --Sahn Tidehunter
	AL["Salyin Warscout"] = 50783; --Salyin Warscout
	AL["Sambas"] = 50159; --Sambas
	AL["Sarnak"] = 50782; --Sarnak
	AL["Scritch"] = 50831; --Scritch
	AL["Sele'na"] = 50766; --Sele'na
	AL["Shadowmaster Sydow"] = 63240; --Shadowmaster Sydow
	AL["Siltriss the Sharpener"] = 50791; --Siltriss the Sharpener
	AL["Skarr"] = 50815; --Skarr
	AL["Ski'thik"] = 50733; --Ski'thik
	AL["Skitterflame"] = 54324; --Skitterflame
	AL["Solix"] = 54321; --Solix
	AL["Spelurk"] = 71864; --Spelurk
	AL["Spirit of Jadefire"] = 72769; --Spirit of Jadefire
	AL["Spirit of Lao-Fe"] = 58817; --Spirit of Lao-Fe
	AL["Spriggin"] = 50830; --Spriggin
	AL["Stinkbraid"] = 73704; --Stinkbraid
	AL["Sulik'shor"] = 50339; --Sulik'shor
	AL["Tarvus the Vile"] = 50086; --Tarvus the Vile
	AL["The Yowler"] = 50832; --The Yowler
	AL["Torik-Ethis"] = 50388; --Torik-Ethis
	AL["Tsavo'ka"] = 72808; --Tsavo'ka
	AL["Ubunti the Shade"] = 68320; --Ubunti the Shade
	AL["Unblinking Eye"] = 70238; --Unblinking Eye
	AL["Urdur the Cauterizer"] = 73173; --Urdur the Cauterizer
	AL["Urgolax"] = 50359; --Urgolax
	AL["Urobi the Walker"] = 50808; --Urobi the Walker
	AL["Vicejaw"] = 58769; --Vicejaw
	AL["Vyraxxis"] = 63977; --Vyraxxis
	AL["War-God Dokah"] = 70096; --War-God Dokah
	AL["Watcher Osu"] = 73170; --Watcher Osu
	AL["Whizzig"] = 73293; --Whizzig
	AL["Willy Wilder"] = 70126; --Willy Wilder
	AL["Wulon"] = 63510; --Wulon
	AL["Yorik Sharpeye"] = 50336; --Yorik Sharpeye
	AL["Yul Wildpaw"] = 50820; --Yul Wildpaw
	AL["Zai the Outcast"] = 50769; --Zai the Outcast
	AL["Zandalari Warbringer"] = 69769; --Zandalari Warbringer
	AL["Zandalari Warscout"] = 69768; --Zandalari Warscout
	AL["Zao'cho"] = 69843; --Zao'cho
	AL["Zesqua"] = 72245; --Zesqua
	AL["Zhu-Gon the Sour"] = 71919 --Zhu-Gon the Sour
end