﻿-- Locale
local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AL = AceLocale:NewLocale("RareScanner", "itIT", false);

if AL then
	-- UI strings
	AL["CHECK_MAP"] = "Check your map!";
	AL["UNKNOWN_TARGET"] = "Unknown target";
	AL["JUST_SPAWNED"] = " just showed up";
	AL["NOT_TARGETEABLE"] = "Not targeteable";
	AL["CLICK_TARGET"] = "Click to target NPC";
	AL["ALARM_MESSAGE"] = "A rare NPC just showed up, check your map!";
	
	-- UI config panel
	AL["GENERAL_OPTIONS"] = "General options";
	AL["ENABLE_SCAN_RARES"] = "Toggle searching rare NPCs";
	AL["ENABLE_SCAN_RARES_DESC"] = "When this is activated you will be warned visually and with a sound everytime a rare NPC shows up in your minimap";
	AL["ENABLE_SCAN_CONTAINERS"] = "Toggle searching treasures or chests";
	AL["ENABLE_SCAN_CONTAINERS_DESC"] = "When this is activated you will be warned visually and with a sound everytime a treasure or chest shows up in your minimap";
	AL["ENABLE_SCAN_EVENTS"] = "Toggle searching events";
	AL["ENABLE_SCAN_EVENTS_DESC"] = "When this is activated you will be warned visually and with a sound everytime an event shows up in your minimap";
	AL["SOUND"] = "Sound";
	AL["SOUND_OPTIONS"] = "Sound options";
	AL["ALARM_SOUND"] = "Warning sound";
	AL["ALARM_SOUND_DESC"] = "Sound played when a rare NPC, treasure/chest or event shows up in your minimap";
	
	-- Rares
	AL["AL[Aeonaxx]"] = 50062; --Aeonaxx
	AL["Aetha"] = 58778; --Aetha
	AL["Aethis"] = 50750; --Aethis
	AL["Ahone la Nomade"] = 50817; --Ahone the Wanderer
	AL["Ai-Li Specchio Celeste"] = 50821; --Ai-Li Skymirror
	AL["Ai-Ran Nube Mutevole"] = 50822; --Ai-Ran the Shifting Cloud
	AL["Al'tabim l'Onnisciente"] = 70000; --Al'tabim the All-Seeing
	AL["Ankha"] = 54318; --Ankha
	AL["Anthriss"] = 54338; --Anthriss
	AL["Gran Sacerdote delle Fiamme"] = 73666; --Archiereus of Flame
	AL["AL[Archritualist Kelada]"] = 70243; --Archritualist Kelada
	AL["Arness la Scaglia"] = 50787; --Arness the Scale
	AL["Spaccaschiena Uru"] = 70001; --Backbreaker Uru
	AL["Bai-Jin il Macellaio"] = 58949; --Bai-Jin the Butcher
	AL["Ban'thalos"] = 54320; --Ban'thalos
	AL["Baolai l'Immolatore"] = 63695; --Baolai the Immolator
	AL["Zoccolo Nero"] = 51059; --Blackhoof
	AL["Morsocruento"] = 58474; --Bloodtip
	AL["Bonobos"] = 50828; --Bonobos
	AL["Borginn Pugnonero"] = 50341; --Borginn Darkfist
	AL["Bufo"] = 72775; --Bufo
	AL["Campione della Fiamma Nera"] = 73171; --Champion of the Black Flame
	AL["Chelon"] = 72045; --Chelon
	AL["Calcacenere"] = 73175; --Cinderfall
	AL["Cournith Calcalaghi"] = 50768; --Cournith Waterstrider
	AL["Zannafosca"] = 58768; --Cracklefang
	AL["Squartagru"] = 72049; --Cranegnasher
	AL["Dak il Distruttore"] = 50334; --Dak the Breaker
	AL["Dalan Spezzanotte"] = 68318; --Dalan Nightbreaker
	AL["Deth'tilac"] = 54322; --Deth'tilac
	AL["Disha Domapaura"] = 68319; --Disha Fearwarden
	AL["Dottor Theolen Krastinov"] = 59369; --Doctor Theolen Krastinov
	AL["Nave Fantasma Vazuvius"] = 73281; --Dread Ship Vazuvius
	AL["Gru di Smeraldo"] = 73158; --Emerald Gander
	AL["Eshelon"] = 50772; --Eshelon
	AL["Faucieterne"] = 73279; --Evermaw
	AL["Ferdinand"] = 51078; --Ferdinand
	AL["Visce'rok il Malato"] = 70429; --Flesh'rok the Diseased
	AL["Signore della Fornace Gairan"] = 73172; --Flintlord Gairan
	AL["AL[Focused Eye]"] = 70249; --Focused Eye
	AL["Gaarn il Tossico"] = 50340; --Gaarn the Toxic
	AL["Gaohun il Tranciaspiriti"] = 62881; --Gaohun the Soul-Severer
	AL["Gar'lok"] = 50739; --Gar'lok
	AL["Garnia"] = 73282; --Garnia
	AL["Generale Temuja"] = 63101; --General Temuja
	AL["Strisciaombre"] = 50051; --Ghostcrawler
	AL["Go-Kan"] = 50331; --Go-Kan
	AL["Gochao l'Impavido"] = 62880; --Gochao the Ironfist
	AL["Colosso Divino Ramuk"] = 69999; --God-Hulk Ramuk
	AL["Goda"] = 69998; --Goda
	AL["Golganarr"] = 72970; --Golganarr
	AL["Grande Tartaruga Ardiguscio"] = 73161; --Great Turtle Furyshell
	AL["Gu'chi il Portatore dello Sciame"] = 72909; --Gu'chi the Swarmbringer
	AL["Havak"] = 50354; --Havak
	AL["Costrutto dei Predatori del Sole Fuori Controllo"] = 50358; --Haywire Sunreaver Construct
	AL["Huo-Shuang"] = 63691; --Huo-Shuang
	AL["Huolon"] = 73167; --Huolon
	AL["Iggo-Iggo lo Scaltro"] = 50836; --Ik-Ik the Nimble
	AL["Pitone Imperiale"] = 73163; --Imperial Python
	AL["Yak Cornoferreo"] = 73160; --Ironfur Steelhorn
	AL["Grinfiagiada"] = 49822; --Jadefang
	AL["Jakur degli Ordon"] = 73169; --Jakur of Ordon
	AL["Jonn-Dar"] = 50351; --Jonn-Dar
	AL["Kah'tir"] = 50355; --Kah'tir
	AL["Kal'tik la Piaga"] = 50749; --Kal'tik the Blight
	AL["Kang il Ladro d'Anime"] = 50349; --Kang the Soul Thief
	AL["Kar Plasmaguerra"] = 68321; --Kar Warmaker
	AL["Karkanos"] = 72193; --Karkanos
	AL["Karkin"] = 50959; --Karkin
	AL["Karoma"] = 50138; --Karoma
	AL["Karr l'Oscuratore"] = 50347; --Karr the Darkener
	AL["Kirix"] = 54323; --Kirix
	AL["Kor'nas Predanotte"] = 50338; --Kor'nas Nightsavage
	AL["Korda Torros"] = 50332; --Korda Torros
	AL["Krakkanon"] = 70323; --Krakkanon
	AL["Krax'ik"] = 50363; --Krax'ik
	AL["Kri'chon"] = 63978; --Kri'chon
	AL["Krol la Lama"] = 50356; --Krol the Blade
	AL["Ku'lai l'Artiglio Celeste"] = 69996; --Ku'lai the Skyclaw
	AL["Sanafoglia"] = 73277; --Leafmender
	AL["Lith'ik l'Inseguitore"] = 50734; --Lith'ik the Stalker
	AL["Lon il Toro"] = 50333; --Lon the Bull
	AL["Lu-Ban"] = 70002; --Lu-Ban
	AL["Magria"] = 54319; --Magria
	AL["Maggiore Nanners"] = 50840; --Major Nanners
	AL["Mavis Harms"] = 68317; --Mavis Harms
	AL["Signor Feroce"] = 50823; --Mister Ferocious
	AL["Moldo il Guercio"] = 50806; --Moldo One-Eye
	AL["Molthor"] = 70003; --Molthor
	AL["Monara"] = 70440; --Monara
	AL["Spinartiglio Mostruoso"] = 73166; --Monstrous Spineclaw
	AL["Morgrinn Zannalacera"] = 50350; --Morgrinn Crackfang
	AL["Muerta"] = 68322; --Muerta
	AL["Mumta"] = 69664; --Mumta
	AL["Nal'lak lo Squartatore"] = 50364; --Nal'lak the Ripper
	AL["Nalash Verdantis"] = 50776; --Nalash Verdantis
	AL["Nasra Manto Maculato"] = 50811; --Nasra Spothide
	AL["Nessos l'Oracolo"] = 50789; --Nessos the Oracle
	AL["Oratore delle Tempeste No'ku"] = 70276; --No'ku Stormsayer
	AL["Norlaxx"] = 50344; --Norlaxx
	AL["Omnis Grinlok"] = 50805; --Omnis Grinlok
	AL["Supremo Fendifuria"] = 50085; --Overlord Sunderfury
	AL["Principe Lakma"] = 54533; --Prince Lakma
	AL["Progenitus"] = 69997; --Progenitus
	AL["Qu'nas"] = 50352; --Qu'nas
	AL["Quid"] = 58771; --Quid
	AL["Ra'sha"] = 70530; --Ra'sha
	AL["Scricchiaossa"] = 72048; --Rattleskew
	AL["Guardingo Muschioso"] = 73157; --Rock Moss
	AL["AL[Rocky Horror]"] = 70430; --Rocky Horror
	AL["Ruun Zampa Chiara"] = 50816; --Ruun Ghostpaw
	AL["Sahn Cacciamaree"] = 50780; --Sahn Tidehunter
	AL["Esploratore da Guerra di Salyis"] = 50783; --Salyin Warscout
	AL["Sambas"] = 50159; --Sambas
	AL["Sarnak"] = 50782; --Sarnak
	AL["Scritch"] = 50831; --Scritch
	AL["Sele'na"] = 50766; --Sele'na
	AL["Maestro delle Ombre Sydow"] = 63240; --Shadowmaster Sydow
	AL["Siltriss l'Affilatore"] = 50791; --Siltriss the Sharpener
	AL["Skarr"] = 50815; --Skarr
	AL["Ski'thik"] = 50733; --Ski'thik
	AL["Balzafiamme"] = 54324; --Skitterflame
	AL["Solix"] = 54321; --Solix
	AL["Cavernoculus"] = 71864; --Spelurk
	AL["Spirito di Giadafulgida"] = 72769; --Spirit of Jadefire
	AL["Spirito di Lao-Fe"] = 58817; --Spirit of Lao-Fe
	AL["Spriggin"] = 50830; --Spriggin
	AL["Treccialorda"] = 73704; --Stinkbraid
	AL["Sulik'shor"] = 50339; --Sulik'shor
	AL["Tarvus il Vile"] = 50086; --Tarvus the Vile
	AL["L'Urlatore"] = 50832; --The Yowler
	AL["Torik-Ethis"] = 50388; --Torik-Ethis
	AL["Tsavo'ka"] = 72808; --Tsavo'ka
	AL["Ubunti l'Ombra"] = 68320; --Ubunti the Shade
	AL["AL[Unblinking Eye]"] = 70238; --Unblinking Eye
	AL["Urdur il Cauterizzatore"] = 73173; --Urdur the Cauterizer
	AL["Urgolax"] = 50359; --Urgolax
	AL["Urobi il Camminatore"] = 50808; --Urobi the Walker
	AL["Morsovile"] = 58769; --Vicejaw
	AL["Vyraxxis"] = 63977; --Vyraxxis
	AL["Dio della Guerra Dokah"] = 70096; --War-God Dokah
	AL["Guardiano Osu"] = 73170; --Watcher Osu
	AL["Whizzig"] = 73293; --Whizzig
	AL["Willy Wilder"] = 70126; --Willy Wilder
	AL["Wulon"] = 63510; --Wulon
	AL["Yorik Occhio Arguto"] = 50336; --Yorik Sharpeye
	AL["Yul Zampa Furente"] = 50820; --Yul Wildpaw
	AL["Zai l'Esiliato"] = 50769; --Zai the Outcast
	AL["Araldo della Guerra Zandalari"] = 69769; --Zandalari Warbringer
	AL["Esploratore da Guerra Zandalari"] = 69768; --Zandalari Warscout
	AL["Zao'cho"] = 69843; --Zao'cho
	AL["Zesqua"] = 72245; --Zesqua
	AL["Zhu-Gon l'Acre"] = 71919 --Zhu-Gon the Sour
end